#!/bin/bash

DATE="$(date +%Y%m%d)"

ROOT="emacs.d-jb-$DATE"
ARCHIVE_BASE="emacs.d-jb-base-$DATE.tar.gz"
ARCHIVE_PKGS="emacs.d-jb-pkgs-$DATE.tar.gz"

FILES_BASE="
.emacs.d/.git
.emacs.d/.gitignore
.emacs.d/.gitmodules
.emacs.d/README.org
.emacs.d/archive.bash
.emacs.d/bin/
.emacs.d/compact-git-repos.bash
.emacs.d/etc/
.emacs.d/fonts/
.emacs.d/init.el
.emacs.d/local/
.emacs.d/src/
.emacs.d/straight/versions
"

FILES_PKGS="
.emacs.d/straight/repos
"

tar -C $HOME -czf $ARCHIVE_BASE --exclude-backups --transform=s,.emacs.d,$ROOT, $FILES_BASE
tar -C $HOME -czf $ARCHIVE_PKGS --exclude-backups --transform=s,.emacs.d,$ROOT, $FILES_PKGS
